# Uses of Class
org.apache.solr.client.solrj.request.CollectionAdminRequest.AddReplicaProp

Packages that use CollectionAdminRequest.AddReplicaProp
Package
Description
org.apache.solr.client.solrj.request
Convenience classes for dealing with various types of Solr requests.

## Uses of CollectionAdminRequest.AddReplicaProp in org.apache.solr.client.solrj.request

Methods in org.apache.solr.client.solrj.request that return CollectionAdminRequest.AddReplicaProp
Modifier and Type
Method
Description
`static CollectionAdminRequest.AddReplicaProp`
CollectionAdminRequest.`addReplicaProperty(String collection, String shard, String replica, String propertyName, String propertyValue)`
Returns a SolrRequest to add a property to a specific replica
`CollectionAdminRequest.AddReplicaProp`
CollectionAdminRequest.AddReplicaProp.`setShardUnique(Boolean shardUnique)`